Subject: Re: [patch 3/4] 4xx: Convert Walnut flash mappings to new binding

From: Josh Boyer <[email-masked]>
Date: Sat, 15 Sep 2007 12:35:48 -0500

On Sat, 2007-09-15 at 17:09 +0200, Wolfgang Denk wrote:
> In message <[email-masked]> Josh Boyer wrote:
> > On Sat, 2007-09-15 at 05:23 +0200, Stefan Roese wrote:
> ...
> > > There are not only Bamboo board running PIBS, but running U-Boot too. How 
> > > should we handle this different FLASH partitioning? Same goes for Ebony too 
> > > btw.
> > 
> > That's a good question.  I'm working on making the NOR flash show up for
> > Bamboo right now, and I had intended to just leave the partition
> > subnodes missing.
> 
> Maybe we can have  U-Boot  add  the  partition  information  if  it's
> missing in the device tree, and extend the mtdparts command in U-Boot
> to add / adjust settings so they match what is defined in U-Boot.

That would be great for newer U-Boots.  For existing older ones, it
doesn't really solve the problem.  But then again, there's no way to
possibly define all the partitioning schemes people may have adopted to
their needs on their boards.  And I believe that is why David has
RedBoot and command line partitioning override what is in the DTS today.

josh